<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {

        Schema::create('queue', function (Blueprint $table) {

            $table->id();
            $table->timestamps();

            $table->unsignedBigInteger('patient_id');
            $table->foreign('patient_id')->references('id')->on('patients');

            $table->unsignedBigInteger('telemed_pros_id')->nullable();
            $table->foreign('telemed_pros_id')->references('id')->on('telemed_pros');

            $table->integer('queue_number');

            $table->softDeletes();

            $table->index(['patient_id']);
            $table->index(['telemed_pros_id']);

        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('queue');
    }
};
